#1029 Lots of minor comment fixes.

final: 8.1.1
closed-fixed
nobody
69. Other (102)
2
2000-10-26
2000-10-26
Anonymous
No

OriginalBugID: 2861 Bug
Version: 8.1.1
SubmitDate: '1999-09-21'
LastModified: '1999-09-30'
Severity: LOW
Status: Released
Submitter: techsupp
ChangedBy: hobbs
OS: Linux
OSVersion: Linux RedHat
Machine: Other
FixedDate: '1999-09-30'
FixedInVersion: 8.3b1
ClosedDate: '2000-10-25'

Name:

Mo DeJong

Extensions:

Itcl

CustomShell:

None

Comments:

These changes are for comments only. They do not change any actual code.

Therefore, they should be a no-brainer to add.

Patch:

Index: generic/tcl.h

===================================================================

RCS file: /cvsroot/tcl/generic/tcl.h,v

retrieving revision 1.45

diff -u -r1.45 tcl.h

--- tcl.h 1999/06/10 04:28:49 1.45

+++ tcl.h 1999/09/21 21:44:55

@@ -658,7 +658,7 @@

/*

* The following definitions support Tcl's namespace facility.

* Note: the first five fields must match exactly the fields in a

- * Namespace structure (see tcl.h).

+ * Namespace structure (see tclInt.h).

*/

typedef struct Tcl_Namespace {

Index: generic/tclCmdIL.c

===================================================================

RCS file: /cvsroot/tcl/generic/tclCmdIL.c,v

retrieving revision 1.12

diff -u -r1.12 tclCmdIL.c

--- tclCmdIL.c 1999/04/16 00:46:43 1.12

+++ tclCmdIL.c 1999/09/21 21:44:56

@@ -465,7 +465,7 @@

* info args procName

*

* Results:

- * Returns TCL_OK is successful and TCL_ERROR is there is an error.

+ * Returns TCL_OK if successful and TCL_ERROR if there is an error.

*

* Side effects:

* Returns a result in the interpreter's result object. If there is

@@ -527,7 +527,7 @@

* info body procName

*

* Results:

- * Returns TCL_OK is successful and TCL_ERROR is there is an error.

+ * Returns TCL_OK if successful and TCL_ERROR if there is an error.

*

* Side effects:

* Returns a result in the interpreter's result object. If there is

@@ -596,7 +596,7 @@

* info cmdcount

*

* Results:

- * Returns TCL_OK is successful and TCL_ERROR is there is an error.

+ * Returns TCL_OK if successful and TCL_ERROR if there is an error.

*

* Side effects:

* Returns a result in the interpreter's result object. If there is

@@ -638,7 +638,7 @@

* info commands ?pattern?

*

* Results:

- * Returns TCL_OK is successful and TCL_ERROR is there is an error.

+ * Returns TCL_OK if successful and TCL_ERROR if there is an error.

*

* Side effects:

* Returns a result in the interpreter's result object. If there is

@@ -764,7 +764,7 @@

* info complete command

*

* Results:

- * Returns TCL_OK is successful and TCL_ERROR is there is an error.

+ * Returns TCL_OK if successful and TCL_ERROR if there is an error.

*

* Side effects:

* Returns a result in the interpreter's result object. If there is

@@ -806,7 +806,7 @@

* info default procName arg varName

*

* Results:

- * Returns TCL_OK is successful and TCL_ERROR is there is an error.

+ * Returns TCL_OK if successful and TCL_ERROR if there is an error.

*

* Side effects:

* Returns a result in the interpreter's result object. If there is

@@ -890,7 +890,7 @@

* info exists varName

*

* Results:

- * Returns TCL_OK is successful and TCL_ERROR is there is an error.

+ * Returns TCL_OK if successful and TCL_ERROR if there is an error.

*

* Side effects:

* Returns a result in the interpreter's result object. If there is

@@ -938,7 +938,7 @@

* info globals ?pattern?

*

* Results:

- * Returns TCL_OK is successful and TCL_ERROR is there is an error.

+ * Returns TCL_OK if successful and TCL_ERROR if there is an error.

*

* Side effects:

* Returns a result in the interpreter's result object. If there is

@@ -1004,7 +1004,7 @@

* info hostname

*

* Results:

- * Returns TCL_OK is successful and TCL_ERROR is there is an error.

+ * Returns TCL_OK if successful and TCL_ERROR if there is an error.

*

* Side effects:

* Returns a result in the interpreter's result object. If there is

@@ -1048,7 +1048,7 @@

* info level ?number?

*

* Results:

- * Returns TCL_OK is successful and TCL_ERROR is there is an error.

+ * Returns TCL_OK if successful and TCL_ERROR if there is an error.

*

* Side effects:

* Returns a result in the interpreter's result object. If there is

@@ -1122,7 +1122,7 @@

* info library

*

* Results:

- * Returns TCL_OK is successful and TCL_ERROR is there is an error.

+ * Returns TCL_OK if successful and TCL_ERROR if there is an error.

*

* Side effects:

* Returns a result in the interpreter's result object. If there is

@@ -1167,7 +1167,7 @@

* info loaded ?interp?

*

* Results:

- * Returns TCL_OK is successful and TCL_ERROR is there is an error.

+ * Returns TCL_OK if successful and TCL_ERROR if there is an error.

*

* Side effects:

* Returns a result in the interpreter's result object. If there is

@@ -1212,7 +1212,7 @@

* info locals ?pattern?

*

* Results:

- * Returns TCL_OK is successful and TCL_ERROR is there is an error.

+ * Returns TCL_OK if successful and TCL_ERROR if there is an error.

*

* Side effects:

* Returns a result in the interpreter's result object. If there is

@@ -1341,7 +1341,7 @@

* info nameofexecutable

*

* Results:

- * Returns TCL_OK is successful and TCL_ERROR is there is an error.

+ * Returns TCL_OK if successful and TCL_ERROR if there is an error.

*

* Side effects:

* Returns a result in the interpreter's result object. If there is

@@ -1384,7 +1384,7 @@

* info patchlevel

*

* Results:

- * Returns TCL_OK is successful and TCL_ERROR is there is an error.

+ * Returns TCL_OK if successful and TCL_ERROR if there is an error.

*

* Side effects:

* Returns a result in the interpreter's result object. If there is

@@ -1428,7 +1428,7 @@

* info procs ?pattern?

*

* Results:

- * Returns TCL_OK is successful and TCL_ERROR is there is an error.

+ * Returns TCL_OK if successful and TCL_ERROR if there is an error.

*

* Side effects:

* Returns a result in the interpreter's result object. If there is

@@ -1504,7 +1504,7 @@

* info script

*

* Results:

- * Returns TCL_OK is successful and TCL_ERROR is there is an error.

+ * Returns TCL_OK if successful and TCL_ERROR if there is an error.

*

* Side effects:

* Returns a result in the interpreter's result object. If there is

@@ -1544,7 +1544,7 @@

* info sharedlibextension

*

* Results:

- * Returns TCL_OK is successful and TCL_ERROR is there is an error.

+ * Returns TCL_OK if successful and TCL_ERROR if there is an error.

*

* Side effects:

* Returns a result in the interpreter's result object. If there is

@@ -1582,7 +1582,7 @@

* info tclversion

*

* Results:

- * Returns TCL_OK is successful and TCL_ERROR is there is an error.

+ * Returns TCL_OK if successful and TCL_ERROR if there is an error.

*

* Side effects:

* Returns a result in the interpreter's result object. If there is

@@ -1629,7 +1629,7 @@

* info vars ?pattern?

*

* Results:

- * Returns TCL_OK is successful and TCL_ERROR is there is an error.

+ * Returns TCL_OK if successful and TCL_ERROR if there is an error.

*

* Side effects:

* Returns a result in the interpreter's result object. If there is

Index: generic/tclInt.h

===================================================================

RCS file: /cvsroot/tcl/generic/tclInt.h,v

retrieving revision 1.32

diff -u -r1.32 tclInt.h

--- tclInt.h 1999/06/10 04:28:51 1.32

+++ tclInt.h 1999/09/21 21:44:56

@@ -154,7 +154,7 @@

* the Tcl call stack. The namespace won't

* be freed until activationCount becomes

* zero. */

- int refCount; /* Count of references by namespaceName *

+ int refCount; /* Count of references by nsName *

* objects. The namespace can't be freed

* until refCount becomes zero. */

Tcl_HashTable cmdTable; /* Contains all the commands currently

@@ -224,7 +224,7 @@

* namespace and no call frames still refer to it. Its

* variables and command have already been destroyed. This bit

* allows the namespace resolution code to recognize that the

- * namespace is "deleted". When the last namespaceName object

+ * namespace is "deleted". When the last nsName object

* in any byte code code unit that refers to the namespace has

* been freed (i.e., when the namespace's refCount is 0), the

* namespace's storage will be freed.

Index: generic/tclNamesp.c

===================================================================

RCS file: /cvsroot/tcl/generic/tclNamesp.c,v

retrieving revision 1.11

diff -u -r1.11 tclNamesp.c

--- tclNamesp.c 1999/04/16 00:46:50 1.11

+++ tclNamesp.c 1999/09/21 21:44:57

@@ -256,7 +256,7 @@

Tcl_Interp *interp; /* Interpreter in which the new call frame

* is to be pushed. */

Tcl_CallFrame *callFramePtr; /* Points to a call frame structure to

- * push. Storage for this have already been

+ * push. Storage for this has already been

* allocated by the caller; typically this

* is the address of a CallFrame structure

* allocated on the caller's C stack. The

@@ -874,8 +877,8 @@

* Tcl_Export --

*

* Makes all the commands matching a pattern available to later be

- * imported from the namespace specified by contextNsPtr (or the

- * current namespace if contextNsPtr is NULL). The specified pattern is

+ * imported from the namespace specified by namespacePtr (or the

+ * current namespace if namespacePtr is NULL). The specified pattern is

* appended onto the namespace's export pattern list, which is

* optionally cleared beforehand.

*

@@ -902,8 +905,7 @@

* in the specified namespace may be

* exported. */

int resetListFirst; /* If nonzero, resets the namespace's

- * export list before appending

- * be overwritten by imported commands.

+ * export list before appending.

* If 0, return an error if an imported

* cmd conflicts with an existing one. */

{

@@ -1057,7 +1059,7 @@

* Tcl_Import --

*

* Imports all of the commands matching a pattern into the namespace

- * specified by contextNsPtr (or the current namespace if contextNsPtr

+ * specified by namespacePtr (or the current namespace if namespacePtr

* is NULL). This is done by creating a new command (the "imported

* command") that points to the real command in its original namespace.

*

@@ -1382,10 +1384,10 @@

*

* TclGetOriginalCommand --

*

- * An imported command is created in an namespace when it imports a

- * "real" command from another namespace. If the specified command is a

+ * An imported command is created in a namespace when a "real" command

+ * is imported from another namespace. If the specified command is an

* imported command, this procedure returns the original command it

- * refers to.

+ * refers to.

*

* Results:

* If the command was imported into a sequence of namespaces a, b,...,n

@@ -1402,8 +1404,8 @@

Tcl_Command

TclGetOriginalCommand(command)

- Tcl_Command command; /* The command for which the original

- * command should be returned. */

+ Tcl_Command command; /* The imported command for which the

+ * original command should be returned. */

{

register Command *cmdPtr = (Command *) command;

ImportedCmdData *dataPtr;

@@ -2301,7 +2305,7 @@

*

* GetNamespaceFromObj --

*

- * Returns the namespace specified by the name in a Tcl_Obj.

+ * Gets the namespace specified by the name in a Tcl_Obj.

*

* Results:

* Returns TCL_OK if the namespace was resolved successfully, and

Index: generic/tclVar.c

===================================================================

RCS file: /cvsroot/tcl/generic/tclVar.c,v

retrieving revision 1.9

diff -u -r1.9 tclVar.c

--- tclVar.c 1999/06/08 02:59:27 1.9

+++ tclVar.c 1999/09/21 21:44:58

@@ -1263,12 +1278,12 @@

if (oldValuePtr == NULL) {

TclNewObj(oldValuePtr);

varPtr->value.objPtr = oldValuePtr;

- Tcl_IncrRefCount(oldValuePtr); /* since var is reference */

+ Tcl_IncrRefCount(oldValuePtr); /* since var is referenced */

} else if (Tcl_IsShared(oldValuePtr)) {

varPtr->value.objPtr = Tcl_DuplicateObj(oldValuePtr);

Tcl_DecrRefCount(oldValuePtr);

oldValuePtr = varPtr->value.objPtr;

- Tcl_IncrRefCount(oldValuePtr); /* since var is reference */

+ Tcl_IncrRefCount(oldValuePtr); /* since var is referenced */

}

result = Tcl_ListObjAppendElement(interp, oldValuePtr,

newValuePtr);

@@ -2469,7 +2484,7 @@

Tcl_Interp *interp; /* Interpreter containing variable. */

char *varName; /* Name of variable; may end with "(index)"

* to signify an array reference. */

- int flags; /* 0, TCL_GLOBAL_ONLY, or

+ int flags; /* OR-ed combination of TCL_GLOBAL_ONLY,

* TCL_NAMESPACE_ONLY. */

Tcl_VarTraceProc *proc; /* Procedure assocated with trace. */

ClientData prevClientData; /* If non-NULL, gives last value returned

PatchFiles:

generic/tcl.h

generic/tclCmdIL.c

generic/tclInt.h

generic/tclNamesp.c

generic/tclVar.c

updated comments.
-- 09/30/1999 hobbs

Discussion

  • Brent B. Welch
    Brent B. Welch
    2000-10-26

    • priority: 5 --> 2
    • status: open --> closed-fixed